
CoCoALib - Bug #1300

CoprimeFactorBasis: mishandles negative args

31 Jul 2019 11:03 - John Abbott

Status: Closed Start date: 31 Jul 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Maths Bugs Estimated time: 1.11 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 1.15 hour

Description

CoprimeFactorBasis gives wrong answers when args are negative.  Here is a simple example in CoCoA-5

CoprimeFactorBasis([2,-3]);

[2]

The result should be [2, 3].

History

#1 - 31 Jul 2019 11:04 - John Abbott

- Status changed from New to Feedback

- % Done changed from 0 to 90

- Estimated time set to 0.75 h

Fixed.  I'll add some tests.

#2 - 01 Oct 2019 13:34 - John Abbott

- Status changed from Feedback to Closed

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99650 November 2019

- % Done changed from 90 to 100

- Estimated time changed from 0.75 h to 1.11 h

Added a test (to test-bug1.C).

Corrected name in doc in doc/txt/NumTheory.txt.
